# $Revision: 1.19 $, $Date: 2004/05/07 00:31:59 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBD
%define	pnam	AnyData
Summary:	DBD::AnyData - DBI access to XML, CSV and other formats
Summary(pl):	DBD::AnyData - dostp DBI do XML-a, CSV i innych formatw
Name:		perl-DBD-AnyData
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3434afdade1e2c9d79e85eca4bd8df17
%if %{with tests}
BuildRequires:	perl-AnyData
BuildRequires:	perl-CGI
BuildRequires:	perl-DBD-CSV
# HTML and XML tests currently disabled
#BuildRequires:	perl-HTML-Parser
#BuildRequires:	perl-HTML-TableExtract
#BuildRequires:	perl-XML-Parser
#BuildRequires:	perl-XML-Twig
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBD::AnyData module provides a DBI/SQL interface to data in many
formats and from many sources.

Currently supported formats include general format flatfiles (CSV,
Fixed Length, Tab or Pipe "delimited", etc.), specific formats (passwd
files, web logs, etc.), a variety of other kinds of formats (XML, Mp3,
HTML tables), and, for some operations, any DBI accessible database.

%description -l pl
Modu DBD::AnyData udostpnia interfejs DBI/SQL do danych w wielu
formatach, pobieranych z wielu rde. Aktualnie obsugiwane formaty
zawieraj oglne sformatowane pliki (CSV, z polami o staej dugoci,
oddzielonymi tabami lub znakiem |, itp.), okrelone formaty (pliki
passwd, logi serwera WWW itp.), wiele innych rodzajw formatw (XML,
mp3, tabele HTML) oraz, dla niektrych operacji, dowolne bazy danych
dostpne przez DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-AnyData.spec,v $
Revision 1.19  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.18  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/20 05:50:56  ankry
- license fixes and unification

Revision 1.16  2004/04/19 14:20:20  adamg
- updated to 0.08

Revision 1.15  2004/03/28 15:35:13  adamg
- updated to 0.07

Revision 1.14  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.13  2003/10/31 22:31:16  qboosh
- updated to 0.06, enabled tests, BR: perl-DBD-CSV

Revision 1.12  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:21  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/28 20:33:27  kloczek
- release 3.

Revision 1.3  2002/09/27 21:03:15  ankry
- fix comments, cleaning

Revision 1.2  2002/08/14 23:37:43  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
